package com.ElyStudio.leGaou.models;

import com.google.gson.annotations.SerializedName;

import java.util.List;

public class GetLeaderboardData {

    private int statusCode;
    private String message;
    @SerializedName("topRankers")
    List<Leaderboard> topRankers;
    @SerializedName("leaderboardList")
    List<Leaderboard> leaderboardList;

    public GetLeaderboardData() {
    }

    public GetLeaderboardData(int statusCode, String message, List<Leaderboard> topRankers, List<Leaderboard> leaderboardList) {
        this.statusCode = statusCode;
        this.message = message;
        this.topRankers = topRankers;
        this.leaderboardList = leaderboardList;
    }

    public int getStatusCode() {
        return statusCode;
    }

    public void setStatusCode(int statusCode) {
        this.statusCode = statusCode;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public List<Leaderboard> getTopRankers() {
        return topRankers;
    }

    public void setTopRankers(List<Leaderboard> topRankers) {
        this.topRankers = topRankers;
    }

    public List<Leaderboard> getLeaderboardList() {
        return leaderboardList;
    }

    public void setLeaderboardList(List<Leaderboard> leaderboardList) {
        this.leaderboardList = leaderboardList;
    }
}
